@import '../../../styles.scss';

.container {
  @include flex;
  justify-content: center;
}

.search-container {
  width: 100%;
  max-width: 500px;
  margin: auto;
  box-sizing: border-box;
  background: $light;
  padding: 8px 5%;
  z-index: 1000;
  box-shadow: $box-shadow;
  transform: translateY(200px);
  transition: .3s $ease-in;
  position: absolute;
  top: 0;

  .change-display & {
    position: fixed;
    transform: translateY(0);
  }

  .sticky & {
    position: fixed;
    transform: translateY(0);
  }

  .search-pad {
    width: 100%;
    max-width: 320px;
    margin: auto;
    display: flex;
    flex-wrap: nowrap;
    transition: .3s $ease-in;

    .search-bar {
      border: none;
      width: calc(100% - 30px);
      background: transparent;
      margin-left: 0;
      color: gray;
      border-radius: 0;

      &:focus {
        outline: none;
      }
    }

    .search-btn {
      background: $base-color;
      border: none;
      width: 30px;
      height: 30px;
      margin-left: auto;
      transition: .2s $ease-in;

      &:hover {
        cursor: pointer;
      }

      &:focus {
        outline: none;
      }

      &:active:hover {
        background: darken($base-color, 20%);
      }
    }
  }

}

.dark-display {
  @include absolute-mrg;
  position: fixed;
  z-index: 100;
  background: rgba($color: #000000, $alpha: .7);
  opacity: 0;
  pointer-events: none;

  .change-display & {
    opacity: 1;
    pointer-events: initial;
  }
}

.suggest {
  position: fixed;
  top: 0;
  width: 100%;
  max-width: 500px;
  height: 300px;
  padding: 64px 8px 0;
  background: $back-color;
  box-shadow: $box-shadow;
  color: $text-color;
  font-size: 2em;
  line-height: 3em;
  font-weight: bold;
  box-sizing: border-box;
  opacity: 0;
  z-index: 101;
  transform: translateY(-100%);
  transition: .4s $ease-in;
  pointer-events: none;

  .change-display & {
    opacity: 1;
    transform: translateY(0);
    pointer-events: initial;
  }

  ul {
    width: 100%;
    max-width: 320px;
    margin: auto;

    li {
      border-bottom: 1px solid $text-color;
    }
  }
}

@media screen and (min-width: 600px) {
  .search-container {
    padding: 8px 16px;

    .search-pad {
      max-width: 100%;
    }
  }
}

@media screen and (min-width: 900px) {
  .search-container {
    margin-top: 14px;
  }
  .suggest {
    margin-top: 14px;
  }
}
